Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QAccessibleObject Class Reference

The QAccessibleObject class implements parts of the QAccessibleInterface for QObjects. More...

    #include <QAccessibleObject>

Inherits QAccessibleInterface.

Inherited by QAccessibleWidget.

- List of all members, including inherited members

### Public Functions

- QAccessibleObject ( QObject * object )

- 15 public functions inherited from QAccessibleInterface

### Static Public Members

- 8 static public members inherited from QAccessible

### Protected Functions

- virtual ~QAccessibleObject ()

## Detailed Description

The QAccessibleObject class implements parts of the QAccessibleInterface for QObjects.

This class is mainly provided for convenience. All subclasses of the QAccessibleInterface that provide implementations of non-widget objects should use this class as their base class.

## Member Function Documentation

### QAccessibleObject::QAccessibleObject ( QObject * object )

Creates a QAccessibleObject for object.

### QAccessibleObject::~QAccessibleObject () `[virtual protected]`

Destroys the QAccessibleObject.

This only happens when a call to release() decrements the internal reference counter to zero.